QwtPlotScaleItem(3)

NAME
QwtPlotScaleItem - A class which draws a scale inside the plot canvas.

SYNOPSIS

#include <qwt_plot_scaleitem.h>

Inherits QwtPlotItem.

  Public Member Functions
QwtPlotScaleItem (QwtScaleDraw::Alignment=QwtScaleDraw::BottomScale, const double pos=0.0)
Constructor for scale item at the position pos.
virtual ~QwtPlotScaleItem ()
Destructor.
virtual int rtti () const
void setScaleDiv (const QwtScaleDiv &)
Assign a scale division.
const QwtScaleDiv & scaleDiv () const
void setScaleDivFromAxis (bool on)
bool isScaleDivFromAxis () const
void setPalette (const QPalette &)
QPalette palette () const
void setFont (const QFont &)
QFont font () const
void setScaleDraw (QwtScaleDraw *)
Set a scale draw.
const QwtScaleDraw * scaleDraw () const
QwtScaleDraw * scaleDraw ()
void setPosition (double pos)
double position () const
void setBorderDistance (int numPixels)
Align the scale to the canvas.
int borderDistance () const
void setAlignment (QwtScaleDraw::Alignment)
virtual void draw (QPainter *p, const QwtScaleMap &xMap, const QwtScaleMap &yMap, const QRectF &rect) const
Draw the scale.
virtual void updateScaleDiv (const QwtScaleDiv &, const QwtScaleDiv &)
Update the item to changes of the axes scale division.

  Additional Inherited Members

Detailed Description

A class which draws a scale inside the plot canvas. QwtPlotScaleItem can be used to draw an axis inside the plot canvas. It might by synchronized to one of the axis of the plot, but can also display its own ticks and labels.

It is allowed to synchronize the scale item with a disabled axis. In plots with vertical and horizontal scale items, it might be necessary to remove ticks at the intersections, by overloading updateScaleDiv().

The scale might be at a specific position (f.e 0.0) or it might be aligned to a canvas border.

Example
    The following example shows how to replace the left axis, by a scale item at the x position 0.0.

    QwtPlotScaleItem *scaleItem =
        new QwtPlotScaleItem(QwtScaleDraw::RightScale, 0.0);
    scaleItem->setFont(plot->axisWidget(QwtPlot::yLeft)->font());
    scaleItem->attach(plot);
    plot->enableAxis(QwtPlot::yLeft, false);

Constructor & Destructor Documentation

  QwtPlotScaleItem::QwtPlotScaleItem (QwtScaleDraw::Alignment alignment = QwtScaleDraw::BottomScale, const double pos = 0.0) [explicit]

Constructor for scale item at the position pos.

Parameters:
    alignment In case of QwtScaleDraw::BottomScale or QwtScaleDraw::TopScale the scale item is corresponding to the xAxis(), otherwise it corresponds to the yAxis().
    pos x or y position, depending on the corresponding axis.

See also:
    setPosition(), setAlignment()

Member Function Documentation

  int QwtPlotScaleItem::borderDistance () const

Returns:
    Distance from a canvas border

See also:
    setBorderDistance(), setPosition()

  QFont QwtPlotScaleItem::font () const

Returns:
    tick label font

See also:
    setFont()

  bool QwtPlotScaleItem::isScaleDivFromAxis () const

Returns:
    True, if the synchronization of the scale division with the corresponding axis is enabled.

See also:
    setScaleDiv(), setScaleDivFromAxis()

  QPalette QwtPlotScaleItem::palette () const

Returns:
    palette

See also:
    setPalette()

  double QwtPlotScaleItem::position () const

Returns:
    Position of the scale

See also:
    setPosition(), setAlignment()

  int QwtPlotScaleItem::rtti () const [virtual]

Returns:
    QwtPlotItem::Rtti_PlotScale

Reimplemented from QwtPlotItem.

  const QwtScaleDiv & QwtPlotScaleItem::scaleDiv () const

Returns:
    Scale division

  const QwtScaleDraw * QwtPlotScaleItem::scaleDraw () const

Returns:
    Scale draw

See also:
    setScaleDraw()

  QwtScaleDraw * QwtPlotScaleItem::scaleDraw ()

Returns:
    Scale draw

See also:
    setScaleDraw()

  void QwtPlotScaleItem::setAlignment (QwtScaleDraw::Alignment alignment)
Change the alignment of the scale

The alignment sets the orientation of the scale and the position of the ticks:

•   QwtScaleDraw::BottomScale: horizontal, ticks below

•   QwtScaleDraw::TopScale: horizontal, ticks above

•   QwtScaleDraw::LeftScale: vertical, ticks left

•   QwtScaleDraw::RightScale: vertical, ticks right

For horizontal scales the position corresponds to QwtPlotItem::yAxis(), otherwise to QwtPlotItem::xAxis().

See also:
    scaleDraw(), QwtScaleDraw::alignment(), setPosition()

  void QwtPlotScaleItem::setBorderDistance (int distance)

Align the scale to the canvas. If distance is >= 0 the scale will be aligned to a border of the contents rectangle of the canvas. If alignment() is QwtScaleDraw::LeftScale, the scale will be aligned to the right border, if it is QwtScaleDraw::TopScale it will be aligned to the bottom (and vice versa),

If distance is < 0 the scale will be at the position().

Parameters:
    distance Number of pixels between the canvas border and the backbone of the scale.

See also:
    setPosition(), borderDistance()

  void QwtPlotScaleItem::setFont (const QFont & font)
Change the tick label font

See also:
    font()

  void QwtPlotScaleItem::setPalette (const QPalette & palette)
Set the palette

See also:
    QwtAbstractScaleDraw::draw(), palette()

  void QwtPlotScaleItem::setPosition (double pos)
Change the position of the scale

The position is interpreted as y value for horizontal axes and as x value for vertical axes.

The border distance is set to -1.

Parameters:
    pos New position

See also:
    position(), setAlignment()

  void QwtPlotScaleItem::setScaleDiv (const QwtScaleDiv & scaleDiv)

Assign a scale division. When assigning a scaleDiv the scale division won't be synchronized with the corresponding axis anymore.

Parameters:
    scaleDiv Scale division

See also:
    scaleDiv(), setScaleDivFromAxis(), isScaleDivFromAxis()

  void QwtPlotScaleItem::setScaleDivFromAxis (bool on)
Enable/Disable the synchronization of the scale division with the corresponding axis.

Parameters:
    on true/false

See also:
    isScaleDivFromAxis()

  void QwtPlotScaleItem::setScaleDraw (QwtScaleDraw * scaleDraw)

Set a scale draw.

Parameters:
    scaleDraw object responsible for drawing scales.

The main use case for replacing the default QwtScaleDraw is to overload QwtAbstractScaleDraw::label, to replace or swallow tick labels.

See also:
    scaleDraw()

  void QwtPlotScaleItem::updateScaleDiv (const QwtScaleDiv & xScaleDiv, const QwtScaleDiv & yScaleDiv) [virtual]

Update the item to changes of the axes scale division. In case of isScaleDivFromAxis(), the scale draw is synchronized to the correspond axis.

Parameters:
    xScaleDiv Scale division of the x-axis
    yScaleDiv Scale division of the y-axis

See also:
    QwtPlot::updateAxes()

Reimplemented from QwtPlotItem.

Author

Generated automatically by Doxygen for Qwt User's Guide from the source code.